version: '3'

vars:
  DOCKER_TAG: enmanuelmoreira/docker-ansible-ubuntu2204:latest

tasks:
  lint:
    desc: Lint.
    cmds:
      - docker run --rm -i hadolint/hadolint < Dockerfile || true

  docker:build:
    desc: Build Docker image.
    deps: [lint]
    cmds:
      - docker build . --tag {{.DOCKER_TAG}}

  docker:push:
    desc: Pushing Docker image.
    deps: [docker:build]
    cmds:
      - docker push -t {{.DOCKER_TAG}}

  docker:test:
    desc: Run docker container.
    deps: [lint]
    cmds:
      - docker build -t docker-ansible .
      - docker run --name test-container -d --privileged -v /sys/fs/cgroup:/sys/fs/cgroup:ro docker-ansible
      - docker exec --tty test-container env TERM=xterm ansible --version

  docker:clean:
    desc: Cleaning.
    cmds:
      - docker rm -f test-container
      - docker rmi -f docker-ansible
